Bug 1021735 - CVE-2013-6172: Vulnerability in handling _session argument of utils/save-prefs [fedora-all]
Summary: CVE-2013-6172: Vulnerability in handling _session argument of utils/save-pref...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: roundcubemail   
(Show other bugs)
Version: rawhide
Hardware: All Linux
unspecified
urgent
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-6172
TreeView+ depends on / blocked
 
Reported: 2013-10-22 00:11 UTC by Christopher Meng
Modified: 2013-11-10 07:14 UTC (History)
4 users (show)

Fixed In Version: roundcubemail-0.9.5-1.fc20
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 17:37:27 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Meng 2013-10-22 00:11:08 UTC
Roundcubemail just released new 0.9.5 version with fixes for VCE2013-6172(will be available soon).

Hotfix: https://github.com/roundcube/roundcubemail/commit/4109bb26ce.diff

Full announcement:
--------

We just published new releases which fix a recently reported
vulnerability that allows an attacker to overwrite configuration
settings using user preferences. This can result in random file
access, manipulated SQL queries and even code execution. The latter
one only affects versions 0.8.6 and older.

Beside the security fix, the 0.9.5 release also includes other minor
bug fixes and improvements. Most notably it brings the default spell
checker back after Google suspended their public spell checking
service.

Comment 1 Ratul Gupta 2013-10-22 12:29:11 UTC
Making this the fedora tracker for Bug #1021964.

Comment 2 Fedora Update System 2013-10-22 12:57:08 UTC
roundcubemail-0.9.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/roundcubemail-0.9.5-1.fc18

Comment 3 Fedora Update System 2013-10-22 12:57:53 UTC
roundcubemail-0.9.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/roundcubemail-0.9.5-1.el6

Comment 4 Fedora Update System 2013-10-22 12:58:26 UTC
roundcubemail-0.9.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/roundcubemail-0.9.5-1.fc20

Comment 5 Fedora Update System 2013-10-22 12:58:51 UTC
roundcubemail-0.9.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/roundcubemail-0.9.5-1.fc19

Comment 6 Fedora Update System 2013-10-22 18:53:46 UTC
Package roundcubemail-0.9.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing roundcubemail-0.9.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19699/roundcubemail-0.9.5-1.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-10-25 17:37:27 UTC
roundcubemail-0.9.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-10-26 00:56:15 UTC
roundcubemail-0.9.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-10-31 02:58:51 UTC
roundcubemail-0.9.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-11-10 07:14:59 UTC
roundcubemail-0.9.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.